import React from 'react';
export type PopupProps = React.PropsWithChildren & {
    show: boolean;
    size?: 'sm' | 'lg' | 'xl';
    onHide: () => void;
    header: string | JSX.Element | any;
    footer?: string | JSX.Element | any;
};
export default function Popup(props: PopupProps): JSX.Element;
